# $Revision: 1.23 $, $Date: 2009/07/02 22:31:05 $
Summary:	An enhanced implementation of the mailx command
Summary(pl.UTF-8):	Rozszerzona implementacja komendy mailx
Name:		nail
Version:	11.25
Release:	6
License:	BSD
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/nail/%{name}-%{version}.tar.bz2
# Source0-md5:	54f42db31911d734fcf37a89b72d4df7
Patch0:		%{name}-pure.patch
Patch1:		%{name}-bsdcompat.patch
Patch2:		%{name}-use-krb5-gss.patch
URL:		http://nail.sourceforge.net/
BuildRequires:	heimdal-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nail is derived from Berkeley Mail and is intended provide the
functionality of the POSIX mailx command with additional support
for MIME messages, IMAP, POP3, and SMTP. It provides enhanced
features for interactive use, such as caching and disconnected
operation for IMAP, message threading, scoring, and filtering.
It is also usable as a mail batch language, both for sending
and receiving mail.

%description -l pl.UTF-8
Nail został stworzony na podstawie Berkeley Mail z zamysłem
dostarczenia funkcjonalnosci komendy POSIX mailx z dodatkowym
wsparciem dla MIME, IMAP, POP3 i SMTP. Nail dostacza rozszerzone
możliwości przy pracy interaktywnej, takie jak odłączone operacje dla
IMAP, wątkowanie wiadomości, punktacja i filtrowanie.

%package mail
Summary:	A new /bin/mail - the "traditional" way to mail
Summary(pl.UTF-8):	Nowy /bin/mail - "tradycyjny" sposób wysyłania poczty
Group:		Applications/Mail
Obsoletes:	mailx

%description mail
The /bin/mail program can be used to send quick mail messages, and is
often used in shell scripts.

%description mail -l de.UTF-8
Das /bin/mail-Programm dient zum Versenden von Quick-Mail- Nachrichten
und wird häufig in Shell-Skripts verwendet.

%description mail -l fr.UTF-8
Le programme /bin/mail peut être utilisé pour envoyer des mails
rapides et est souvent utilisé dans les scripts shell.

%description mail -l pl.UTF-8
Przy pomocy programu /bin/mail można wysyłać pocztę. Często jest on
wykorzystywany w skryptach powłoki.

%description mail -l tr.UTF-8
/bin/mail programı hızlı olarak mektup göndermek için kullanılabilir.
Genellikle kabuk yorumlayıcıları içinde kullanılır.

%prep
%setup -q
cp makeconfig makeconfig-pure
%patch0 -p1
%patch1 -p1
%patch2 -p1
chmod 755 makeconfig*

%build
./makeconfig-pure

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	MAILRC=/etc/mail.rc \
	MAILSPOOL=/var/mail \
	SENDMAIL=/usr/lib/sendmail

mv nail mail

./makeconfig

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	MAILRC=/etc/nail.rc \
	MAILSPOOL=/var/mail \
	SENDMAIL=/usr/lib/sendmail

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,/etc/skel,/bin}

install *.1 $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	UCBINSTALL=/usr/bin/install \
	PREFIX=%{_prefix} \

install mail $RPM_BUILD_ROOT/bin/mail

install nail.rc $RPM_BUILD_ROOT/etc/skel/.mailrc
install nail.rc $RPM_BUILD_ROOT/etc/mail.rc

ln -sf ../../bin/mail $RPM_BUILD_ROOT%{_bindir}/Mail
ln -sf nail $RPM_BUILD_ROOT%{_bindir}/mailx

install nail.1 $RPM_BUILD_ROOT%{_mandir}/man1/mail.1
echo .so mail.1 > $RPM_BUILD_ROOT%{_mandir}/man1/mailx.1
echo .so mail.1 > $RPM_BUILD_ROOT%{_mandir}/man1/Mail.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%config(noreplace) %verify(not md5 mtime size) /etc/nail.rc
%attr(755,root,root) %{_bindir}/nail
%attr(755,root,root) %{_bindir}/mailx
%{_mandir}/man1/n*
%{_mandir}/man1/mailx*

%files mail
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%config(noreplace) %verify(not md5 mtime size) /etc/mail.rc

/etc/skel/.mailrc

%attr(755,root,root) /bin/mail
%attr(755,root,root) %{_bindir}/Mail
%{_mandir}/man1/[Mm]ail.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nail.spec,v $
Revision 1.23  2009/07/02 22:31:05  baggins
- rel 6
- switch to heimdal kerberos

Revision 1.22  2008/01/15 17:53:49  baggins
- rel 5
- force use of gss from krb5 to avoid lottery at compile time

Revision 1.21  2008-01-15 17:48:30  baggins
- back to obsoletes (I admire the utter stupidity of putting conflict there,
	have you ever tried to replace mailx with nail-mail?)

Revision 1.20  2007/08/06 12:57:17  patrys
- don't obsolete, conflict

Revision 1.19  2007/03/31 22:03:40  baggins
- rel 3
- s/heimdal/krb5/

Revision 1.18  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.16  2005/12/07 11:53:47  baggins
- release 2
- mail package deservers to obsolete mailx (5 months on production without problems)

Revision 1.15  2005/07/30 16:05:51  aredridel
- up to 11.25

Revision 1.14  2005/07/14 14:55:27  aredridel
- up to 11.24

Revision 1.13  2005/07/06 19:39:39  arekm
- br heimdal >= 0.7

Revision 1.12  2005/06/16 20:59:47  qboosh
- pl fix

Revision 1.11  2005/06/14 08:24:13  baggins
- removed bad Req

Revision 1.10  2005/06/14 07:52:52  baggins
- release 2
- added mail package intended as replacement of mailx
- added patches for building light /bin/mail
- proper description and summary
- STBR

Revision 1.9  2005/06/13 21:25:52  glen
- avoid extra shell

Revision 1.8  2005/06/13 17:49:09  baggins
- release 1.1
- made it a full blown replacement for mailx package

Revision 1.7  2005/03/21 11:57:15  matowy
- up m5 & up to 11.22

Revision 1.6  2005/03/21 11:48:07  matowy
- openssl >= 0.9.7d

Revision 1.5  2005/02/23 19:02:51  megabajt
- added URL

Revision 1.4  2005/02/19 17:00:13  aredridel
- up to 11.21
- STBR

Revision 1.3  2005/01/13 23:19:00  qboosh
- pl summary, cleanups, verify() flag
- removed INSTALL from doc (useless in binary package)

Revision 1.2  2005/01/13 18:11:58  kolodko
- CC="%{__cc}"
- fixed build

Revision 1.1  2005/01/13 16:35:27  aredridel
- added
